{% extends "base.html" %}

{% include 'include/blog_header.html' %}
{% block content %}

<div class="container">
    <div class="row">
        <div class="col-lg-10 col-md-10 mx-auto">
            <div class="list-group">
                {% for k, v in data.items() %}

                <a href="blog_post/{{ k.split('|')[1][:-3] }}" class="list-group-item list-group-item-action flex-column align-items-start active bg-light text-muted border-light">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">{{ k.split('|')[0] }}</h5>
                    </div>
                    <small> <p class="mb-1">{{ v[:100]|safe }}</p></small>
                </a>
                {% endfor %}
            </div>
        </div>
    </div>
</div>
{% endblock %}


